import 'basico_model.dart';

class ProductoTopping extends Basico {
  int? idProducto;
  int? idTopping;
  int? idCategoria;

  ProductoTopping({
    super.id,
    this.idProducto,
    this.idTopping,
    this.idCategoria,
  });

  @override
  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'idProducto': idProducto,
      'idTopping': idTopping,
      'idCategoria': idCategoria,
      'creado': creado?.toIso8601String(),
      'modificado': modificado?.toIso8601String(),
      'eliminado': eliminado?.toIso8601String(),
    }..addAll(super.toJson());
  }

  ProductoTopping.fromJson(Map<String, dynamic> json) {
    super.parseJson(json);
    idProducto = Basico.parseInt(json['idProducto']);
    idTopping = Basico.parseInt(json['idTopping']);
    idCategoria = Basico.parseInt(json['idCategoria']);
  }

  ProductoTopping.fromApi(Map<String, dynamic> json) {
    super.parseJson(json);
    idProducto = Basico.parseInt(json['idProducto']);
    idTopping = Basico.parseInt(json['idProductoTopping']);
    idCategoria = Basico.parseInt(json['idCategoriaTopping']);
    creado = Basico.parseDate(json['creado']);
    modificado = Basico.parseDate(json['modificado']);
    eliminado = Basico.parseDate(json['eliminado']);
  }
}
